summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/domo
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/domo')
-rwxr-xr-xbin/ebuild-helpers/domo7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/ebuild-helpers/domo b/bin/ebuild-helpers/domo
index 840b2de4c..9a8dda38a 100755
--- a/bin/ebuild-helpers/domo
+++ b/bin/ebuild-helpers/domo
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
@@ -10,8 +10,9 @@ if [ ${mynum} -lt 1 ] ; then
exit 1
fi
-[[ " ${FEATURES} " == *" force-prefix "* ]] || \
- case "$EAPI" in 0|1|2) ED=${D} ;; esac
+if ! ___eapi_has_prefix_variables; then
+ ED=${D}
+fi
if [ ! -d "${ED}${DESTTREE}/share/locale" ] ; then
install -d "${ED}${DESTTREE}/share/locale/"